%define oname FlightCrew

%define version 0.7.2
%define prerel 0
%define rel 6

%if %prerel
%define release %mkrel -c %prerel %rel
%define srcname %oname-%version%prerel
%else
%define release %mkrel %rel
%define srcname %oname-%version
%endif

Summary: A C++, cross-platform, native code epub validator
Name: flightcrew
Version: %version
Release: %release
Url: http://code.google.com/p/flightcrew/
Source0: http://flightcrew.googlecode.com/files/%srcname-Code.zip
Patch0: flightcrew-0.7.0-use-system-libs-2.patch
Patch1: flightcrew-0.7.0-link.patch
License: GPLv3 and CC-BY-SA
Group: Office/Utilities
BuildRequires: cmake
BuildRequires: qt4-devel >= 4:4.6.0
BuildRequires: boost-devel
BuildRequires: zlib-devel
BuildRequires: libxerces-c-devel

%description
FlightCrew is a C++, cross-platform, native code epub validator. It is composed
of three parts:
  FlightCrew, the validation library
  FlightCrew-cli, the command-line front-end to the FlightCrew library
  FlightCrew-gui, the GUI front-end to the FlightCrew library

It was initially created for Sigil, the epub editor.

%package common
Summary: A C++, cross-platform, native code epub validator
Group:   Office/Utilities

%description common
FlightCrew is a C++, cross-platform, native code epub validator. It is composed of three parts:
  FlightCrew, the validation library
  FlightCrew-cli, the command-line front-end to the FlightCrew library
  FlightCrew-gui, the GUI front-end to the FlightCrew library

It was initially created for Sigil, the epub editor.

%package cli
Summary: command line tool for FlightCrew
Group:   Office/Utilities
Requires: %{name}-common = %version-%release

%description cli
FlightCrew is a C++, cross-platform, native code epub validator. This package
contains the command line tool for FlightCrew.

%package gui
Summary: command line tool for FlightCrew
Group:   Office/Utilities
Requires: %{name}-cli = %version-%release
Provides: flightcrew

%description gui
FlightCrew is a C++, cross-platform, native code epub validator. This package
contains the Qt4 graphical front-ed for FlightCrew.

%prep
%setup -qcn %{oname}-%{version}-Code
%patch0 -p1 -b .use-system-libs
%patch1 -p0 -b .link

# fix end of line encoding for the docs:
#sed -i 's/\r//' ChangeLog.txt README.txt COPYING.txt

%build
# there are only internal helper libs, and they need to be static as build
# fails otherwise (they contain undefined symbols), and making them shared
# libs wouldn't make sense anyway (they are not shared by anything else)
# - Anssi 06/2010
export CXXFLAGS="%optflags -fpermissive"
%cmake -G "Unix Makefiles" -DBUILD_SHARED_LIBS:BOOL=OFF -DBUILD_STATIC_LIBS:BOOL=ON
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%clean
rm -rf %{buildroot}

%files common
%defattr(-,root,root)
%doc ChangeLog.txt COPYING.txt

%files cli
%defattr(-,root,root)
%{_bindir}/%{name}-cli

%files gui
%defattr(-,root,root)
%{_bindir}/%{name}-gui


%changelog

* Wed Apr 10 2013 malo <malo> 0.7.2-6.mga3
+ Revision: 409449
- rebuild for boost 1.53

* Fri Jan 11 2013 umeabot <umeabot> 0.7.2-5.mga3
+ Revision: 350540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Thu Dec 20 2012 fwang <fwang> 0.7.2-4.mga3
+ Revision: 333033
- update rpm group
- rebuild for new boost

* Thu Aug 02 2012 fwang <fwang> 0.7.2-3.mga3
+ Revision: 277822
- more system-libs and link fixes
- more patch
- fix if switch
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 0.7.2-2.mga3
+ Revision: 250099
- correct link against boost_system lib
- fix linkage
- rebuild for new boost

* Mon Nov 28 2011 fwang <fwang> 0.7.2-1.mga2
+ Revision: 173674
- new version 0.7.2

* Mon Nov 28 2011 fwang <fwang> 0.7.1-4.mga2
+ Revision: 173561
- rebuild for new boost
- disable check
- use cmake macro to detect boost
- rebuild for new boost

  + dmorgan <dmorgan>
    - Rebuild against new boost

* Thu Jan 27 2011 ahmad <ahmad> 0.7.1-1.mga1
+ Revision: 42009
- imported package flightcrew

